Bug 220488 - part of screen visible after xrandr
part of screen visible after xrandr
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xscreensaver (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 13:06 EST by jmccann
Modified: 2015-01-14 18:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:07:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2006-12-21 13:06:21 EST
Description of problem:
After using xrandr the screensaver doesn't cover the entire screen.

Version-Release number of selected component (if applicable):
xscreensaver-4.18-5.rhel4.11

Steps to Reproduce:
1. xrandr -o left
2. lock screen
  
Actual results:

xdpyinfo |grep dimensions
  dimensions:    1200x1600 pixels (311x411 millimeters)

The screensaver window is still 1600x1200 so the bottom of the screen is visible.
Comment 1 jmccann 2006-12-21 13:12:05 EST
From verbose output:

xscreensaver: 13:07:26: 0: xscreensaver-gl-helper: GL visual is 0x24.
xscreensaver: 13:07:26: running on display ":0.0" (1 screen).
xscreensaver: 13:07:26: vendor is The X.Org Foundation, 60802000.
xscreensaver: 13:07:26: useful extensions:
xscreensaver: 13:07:26:   MIT Screen-Saver
xscreensaver: 13:07:26:   Shared Memory
xscreensaver: 13:07:26:   Double-Buffering
xscreensaver: 13:07:26:   Power Management
xscreensaver: 13:07:26:   GLX
xscreensaver: 13:07:26:   XF86 Video-Mode
xscreensaver: 13:07:26:   Resize-and-Rotate
xscreensaver: 13:07:26: screen 0 non-colormapped depths: 24.
xscreensaver: 13:07:26: not using server's lame MIT-SCREEN-SAVER extension.
xscreensaver: 13:07:26: selecting RANDR events
xscreensaver: 13:07:26: 0: visual 0x23 (TrueColor,   depth: 24, cmap: default)
xscreensaver: 13:07:26: 0: saver window is 0xa00001.
xscreensaver: 13:07:26: selecting events on extant windows... done.
xscreensaver: 13:07:26: awaiting idleness.


xscreensaver: 13:08:05: 0: no-op screen size change event (1600x1200)
xscreensaver: 13:08:05: 0: resize screen from 1600x1200+0+0 to 1200x1600+0+0
Comment 2 Jiri Pallich 2012-06-20 12:07:40 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.